<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>The HTML Formatter(s)</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Developer's Guide" /><link rel="up" href="python.html" title="Chapter 2. The Python API" /><link rel="prev" href="parsers.html" title="The Parsers (Cpp, C, Cxx)" /><link rel="next" href="python-tests.html" title="Python Regression Tests" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The HTML Formatter(s)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="parsers.html">Prev</a> </td><th width="60%" align="center">Chapter 2. The Python API</th><td width="20%" align="right"> <a accesskey="n" href="python-tests.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="formatters"></a>The HTML Formatter(s)</h2></div></div></div><p>
        One of the most complex processors is the HTML formatter, which generates
        html documentation of the parsed source code. There are a multitude of
        parameters to control many aspects of the formatting. It is documented
        <a class="ulink" href="http://synopsis.fresco.org/docs/Tutorial/html-formatter.html" target="_top">here</a>.
      </p><p>
        To help to validate the generated set of html pages, synopsis provides
        <span class="command"><strong>scripts/html-validator</strong></span>, which can be used to traverse
        all references between the pages, and to make sure the html is valid.
      </p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="parsers.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="python.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="python-tests.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">The Parsers (Cpp, C, Cxx) </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Python Regression Tests</td></tr></table></div></body></html>
